<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="AskVolume_List.aspx.cs"
    Inherits="RM.Web.Training.AskVolume.AskVolume_List" %>

<%@ Register Src="~/UserControl/PageControl.ascx" TagName="PageControl" TagPrefix="uc1" %>
<%@ Register Src="~/UserControl/LoadButton.ascx" TagName="LoadButton" TagPrefix="uc2" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>
        <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("QuesnaireSys_list")%></title>
    <link href="/Themes/Styles/Site.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/jquery-1.8.2.min.js" type="text/javascript"></script>
    <link href="/Themes/Scripts/artDialog/skins/opera.css" rel="stylesheet" type="text/css" />
    <script src="/Themes/Scripts/artDialog/artDialog.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/artDialog/iframeTools.js" type="text/javascript"></script>
    <script src="/Themes/Scripts/FunctionJS.js" type="text/javascript"></script>
</head>
<body style="overflow: auto">
    <form id="form1" runat="server">
    <div class="btnbartitle">
        <div>
            <%=RM.Common.DotNetConfig.LanguageHelper.GetKey("QuesnaireSys_list")%>
        </div>
    </div>
    <div class="btnbarcontetn">
        <div style="text-align: right">
            <uc2:LoadButton ID="LoadButton1" runat="server" />
        </div>
    </div>
    <div class="div-body">
        <%=TableHtml %>
    </div>
    <uc1:PageControl ID="PageControl1" runat="server" />
    </form>
    <script type="text/javascript">
        $(function () {
            //把分页定位到屏幕下面
            divresize(120);
            FixedTableHeader("#table1", $(window).height() - 121);
        });
        //编辑
        function edit() {
            var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsEditdata(CheckboxValue())) {
                var url = "/Training/AskVolume/AskVolume_Form.htm?key=" + key;
                                window.location = url;
            }
        }
        //新增
function add() {
            var url = "/Training/AskVolume/AskVolume_Form.htm";
            window.location = url;
        }
         //删除
function Delete() {
            var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsEditdata(CheckboxValue())) {
                delConfig('/Training/AskVolume/AskVolume.ashx', 'action=DelAskVolume&key=' + key, "<%=RM.Common.DotNetConfig.LanguageHelper.GetKey("ToConfirmTheDeletion")%>？");
            }
        }
        //显示url
function  sharesList(){
  var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsEditdata(CheckboxValue())) {
            showTipsMsg("<div>"+window.location.host+"/Training/AskVolume/AskVolumeExamination.htm?key="+key+"</div>",4000,4);
            }

}
//查看详细
 function detail() {
            var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsEditdata(CheckboxValue())) {
                var url = "/Training/AskVolume/AskVolumeDetailed_Listaspx.aspx?key=" + key;
                window.location = url;
            }
        }
        //查看相关数据
function  lookExam_PersonalData(){
          var arrt = new Array();
            arrt = CheckboxValue().split('|');
            var key = arrt[0];
            if (IsEditdata(CheckboxValue())) {
                var url = "/Training/AskVolume/AskVolumeStatic.htm?key=" + key;
                window.location = url;
         }
        }
    </script>
</body>
</html>
